Subject: Re: bug#44746: 28.0.50; [feature/native-comp] Noisy "*Warnings*" buffer shown on start

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Feb 2021 09:17:37 +0200

> Cc: [email-masked]
> Date: Thu, 25 Feb 2021 22:58:54 +0000
> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> To complete this answer, ATM is possible to gate all warnings reported
> by async native compilations leveraging the
> `comp-async-report-warnings-errors' customize.
> 
> Is this sufficient to close this bug or do we like to discuss this
> default?

I think we can close this, yes.  Basically, you are saying that most
of these warnings will go away once we get our act together and fix
all the missing 'require's.

Btw, I think the doc string of comp-async-report-warnings-errors could
use some love: as it stands now, I needed to read the code where it is
used to understand what it does, and why it is a defcustom.  Some of
the explanation you, Andrea, wrote in this thread could find its way
into the doc string and make it much more clear.

> My opinion (got it from the discussion on emacs-devel) is that at least
> for now would be good to keep `comp-async-report-warnings-errors' to t
> for the reason I've explained in the mail I'm quoting.

Agreed.

Thanks.